FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Ubuntu > Ubuntu User

 
 
LinkBack Thread Tools
 
Old 10-30-2009, 07:43 PM
"Mike.lifeguard"
 
Default Installing Firefox 3.0.15 beside 3.5.4 on Karmic

Hello,

Karmic has Firefox 3.5.4, but I require the use of several extensions
which are not yet compatible with that version. How can I install 3.0.15
alongside the new version? The standard respositories for Karmic don't
seem to have any 3.0 versions, and I'm unsure if it is OK to put a line
in sources.list for Jaunty. I haven't been able to find a 3.0.15 package
in a PPA either. Surely there is a package I can install somewhere?

Thanks for your help,
-Mike
--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 10-30-2009, 08:52 PM
Chris Jones
 
Default Installing Firefox 3.0.15 beside 3.5.4 on Karmic

On 30 Oct 2009, at 8:43pm, Mike.lifeguard wrote:

> Hello,
>
> Karmic has Firefox 3.5.4, but I require the use of several extensions
> which are not yet compatible with that version. How can I install
> 3.0.15
> alongside the new version? The standard respositories for Karmic don't
> seem to have any 3.0 versions, and I'm unsure if it is OK to put a
> line
> in sources.list for Jaunty. I haven't been able to find a 3.0.15
> package
> in a PPA either. Surely there is a package I can install somewhere?

How about just downloading the tar ball from the mozilla site

http://www.firefox.com/

Unpack it into your home area and just run it from there, until your
extensions become 3.5 compatible ?

Chris

--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 10-30-2009, 09:11 PM
Steve
 
Default Installing Firefox 3.0.15 beside 3.5.4 on Karmic

On Fri, 30 Oct 2009 21:52:19 -0000, Chris Jones
<christopher.rob.jones@cern.ch> wrote:

>
> On 30 Oct 2009, at 8:43pm, Mike.lifeguard wrote:
>
>> Hello,
>>
>> Karmic has Firefox 3.5.4, but I require the use of several extensions
>> which are not yet compatible with that version. How can I install
>> 3.0.15
>> alongside the new version? The standard respositories for Karmic don't
>> seem to have any 3.0 versions, and I'm unsure if it is OK to put a
>> line
>> in sources.list for Jaunty. I haven't been able to find a 3.0.15
>> package
>> in a PPA either. Surely there is a package I can install somewhere?
>
> How about just downloading the tar ball from the mozilla site
>
> http://www.firefox.com/
>
> Unpack it into your home area and just run it from there, until your
> extensions become 3.5 compatible ?
>
> Chris
>
You could also set extensions.checkCompatibility to False in about:config
and see if the extensions are compatible.

--
Steve

--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 10-30-2009, 10:03 PM
"Mike.lifeguard"
 
Default Installing Firefox 3.0.15 beside 3.5.4 on Karmic

On Fri, 2009-10-30 at 21:52 +0000, Chris Jones wrote:
> Unpack it into your home area and just run it from there, until your
> extensions become 3.5 compatible ?

I could do that, but I want it to be available for all users. I suppose
there is also the fact that this should be possible with packaged
firefox. Not just possible - *easily* possible. There really must be a
suitable packaged version, if only it could make itself findable.

-Mike
--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 10-30-2009, 10:46 PM
Chris Jones
 
Default Installing Firefox 3.0.15 beside 3.5.4 on Karmic

> I could do that, but I want it to be available for all users. I suppose
> there is also the fact that this should be possible with packaged
> firefox. Not just possible - *easily* possible. There really must be a
> suitable packaged version, if only it could make itself findable.

I wouldn't be surprised if there wasn't a deb packaged available in any
of the repos. I can't imagine there is much demand for firefox 3.0, when
3.5 is already installed...

If you want it available to all users, just dump it into /usr/local ...

Chris

--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 10-30-2009, 11:06 PM
NoOp
 
Default Installing Firefox 3.0.15 beside 3.5.4 on Karmic

On 10/30/2009 04:46 PM, Chris Jones wrote:
>
>> I could do that, but I want it to be available for all users. I suppose
>> there is also the fact that this should be possible with packaged
>> firefox. Not just possible - *easily* possible. There really must be a
>> suitable packaged version, if only it could make itself findable.
>
> I wouldn't be surprised if there wasn't a deb packaged available in any
> of the repos. I can't imagine there is much demand for firefox 3.0, when
> 3.5 is already installed...
>
> If you want it available to all users, just dump it into /usr/local ...
>
> Chris
>

http://packages.ubuntu.com/jaunty/firefox-3.0
[Download firefox-3.0]
and I suspect that it will install & run on karmic.

Nope, when you try to install the .deb it reports back:
Error: Breaks existing package 'firefox-3.5'
Status: conflict: firefox-3.0 (<3.1~)

So I'd just download the from mozilla:
http://www.mozilla.com/en-US/firefox/all-older.html
Big Note:
*Firefox 3.0.x will be maintained with security and stability updates
until January 2010. All users are strongly encouraged to upgrade to
Firefox 3.5.*

(You have 60-90 days of security/stability updates... meaning that
absolutely nobody at mozilla are paying any attention to Fx 3.0 at this
time). Also, be aware that you are doing your users a disservice by
allowing them to continue to run insecure software.

Also read:
http://www.mozilla.com/en-US/firefox/3.0.15/releasenotes/
<http://www.mozilla.org/security/known-vulnerabilities/firefox35.html#firefox3.5.4>
<http://www.mozilla.org/security/known-vulnerabilities/firefox30.html>

To make available to all users follow Chris' advise & give the
folder/files the appropriate permissions.




--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 

Thread Tools




All times are GMT. The time now is 04:43 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org